Subject: bug#62133: regression on compling sed-4.9 on SunOS 5.10

From: Eike Dierks <[email-masked]>
Date: Sun, 12 Mar 2023 01:14:10 +0100

Hello at the sed team

I encountered a problem when compiling sed-4.9 on SunOS 5.10
I then tried again with sed-4.8, which compiles just fine.

The problem is with clock_gettime
This api does not exists in legacy operating systems

This is now one of the most common problems,
when trying to compile the newest gnu code on older systems.

I suggest to add to autoconf: HAS_CLOCK_GETTIME

I fully understand the reason behind the new clock_gettime,
but it really breaks the code with all the leagcy oses.

I understand that this api was invented to help with the cloud.
Because they had problems with the leap second.

But now it turns out,
this is a desastorous change to the api,
that makes me fail to even compile sed from scratch.

I know, we can have some shim for this.
But why does sed 4.9 not compile out of the box for me?
We should really fix that.

Best regards,
Eike Dierks